"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.GlobalScrollbarStyle = exports.SCROLLBAR_DIMENSION = void 0;

var _styledComponents = require("styled-components");

var _designparams = require("../designparams");

var _templateObject;

function _taggedTemplateLiteral(strings, raw) { if (!raw) { raw = strings.slice(0); } return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

var SCROLLBAR_DIMENSION = 12;
exports.SCROLLBAR_DIMENSION = SCROLLBAR_DIMENSION;
var COMMON_CSS = "\n  border-radius: 12px;\n  border: 4px solid transparent;\n  background-clip: padding-box;\n";
var GlobalScrollbarStyle = (0, _styledComponents.createGlobalStyle)(_templateObject || (_templateObject = _taggedTemplateLiteral(["\n  ::-webkit-scrollbar {\n    width: ", "px;\n    height: ", "px;\n\n    &-thumb {\n      background: ", ";\n      ", "\n      min-height: ", ";\n      min-width: ", ";\n    }\n\n    &-track {\n      background: ", ";\n      ", "\n    }\n  }\n"])), SCROLLBAR_DIMENSION, SCROLLBAR_DIMENSION, (_ref) => {
  var {
    theme
  } = _ref;
  return theme.color.element11();
}, COMMON_CSS, _designparams.componentSize.large, _designparams.componentSize.large, (_ref2) => {
  var {
    theme
  } = _ref2;
  return theme.color.element12();
}, COMMON_CSS);
exports.GlobalScrollbarStyle = GlobalScrollbarStyle;