/**
 * TODO: Fix width according to UX
 */
export declare const getWidth: (width: string) => string;
/**
 * A scrollIntoView with fallback for Edge. For browsers that support it
 * this is identical to:
 *
 * `(element) => element.scrollIntoView({ block: 'nearest' })
 *
 * For other browser this is implemented with `element.scrollIntoView(true)`
 * or `element.scrollIntoView(false)` depending on the vertical offset. It
 * doesn't polyfill the full functionality of `scrollIntoView`.
 */
export declare const scrollIntoView: (element: Element) => void;
declare type Options = ReadonlyArray<{
    readonly disabled?: boolean;
}>;
export declare const findNextIndex: (index: number | null, options: Options) => number | null;
export declare const findPrevIndex: (index: number | null, options: Options) => number | null;
export {};
