"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.TestTextWithForwardRef = exports.TestText = exports.TestRender = exports.TP = void 0;

var _react = _interopRequireDefault(require("react"));

var _reactTestRenderer = _interopRequireDefault(require("react-test-renderer"));

require("jest-styled-components");

var _Practical = require("./Practical");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

/*
  Only used for Jest Snapshot Testing
*/
var TP = (_ref) => {
  var {
    children
  } = _ref;
  return /*#__PURE__*/_react.default.createElement(_Practical.PracticalProvider, null, children);
};
/**
 * Mock reference to practical-root
 */


exports.TP = TP;

var createNodeMock = element => {
  if (element.props.id !== 'practical-root') {
    return null;
  }

  return {};
};

var TestRender = jsx => {
  return _reactTestRenderer.default.create( /*#__PURE__*/_react.default.createElement(TP, null, jsx), {
    createNodeMock
  }).toJSON();
};

exports.TestRender = TestRender;

var TestText = () => /*#__PURE__*/_react.default.createElement("span", null, "Test");
/* eslint-disable-next-line react/display-name */


exports.TestText = TestText;

var TestTextWithForwardRef = /*#__PURE__*/_react.default.forwardRef((_ref2, ref) => {
  var props = _extends({}, _ref2);

  return /*#__PURE__*/_react.default.createElement("span", _extends({}, props, {
    ref: ref
  }), "Test");
});

exports.TestTextWithForwardRef = TestTextWithForwardRef;