import React from 'react';
export interface FieldProps {
    readonly label?: string;
    /**
     * Override theme's default setting for `compact` if set.
  
     */
    readonly compact?: boolean;
    readonly unitLabel?: string;
}
export declare function withField<T>(InputComponent: React.FunctionComponent<T>): React.FunctionComponent<FieldProps & T>;
